Bug 229019 - security/py-m2crypto: Fails to build with OpenSSL 1.1
Summary: security/py-m2crypto: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-14 19:55 UTC by Bernard Spil
Modified: 2018-09-24 11:23 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-14 19:55:53 UTC
> swigging SWIG/_m2crypto.i to SWIG/_m2crypto_wrap.c
> /usr/local/bin/swig3.0 -python -I/usr/local/include -I/usr/local/include/python2.7 -I/usr/local/include -I/usr/local/include/openssl -I/usr/bin/../lib/clang/4.0.0/include -I/usr/include -includeall -modern -builtin -outdir /wrkdirs/usr/ports/security/py-m2crypto/work-py27/M2Crypto-0.30.1/M2Crypto -o SWIG/_m2crypto_wrap.c SWIG/_m2crypto.i
> /usr/include/x86/_types.h:67: Error: Syntax error in input(1).

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released.

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/py27-m2crypto-0.30.1.log
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-09-24 10:53:38 UTC
Add a note here that Viktor Dukhovni <ietf-dane at dukhovni.org> submitted a patch at https://lists.freebsd.org/pipermail/freebsd-python/2018-September/015429.html
Comment 2 commit-hook freebsd_committer 2018-09-24 11:14:50 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Sep 24 11:14:19 UTC 2018
New revision: 480594
URL: https://svnweb.freebsd.org/changeset/ports/480594

Log:
  Fix build with OpenSSL 1.1.*

  PR:		229019
  Reported by:	brnrd
  Obtained by:	Viktor Dukhovni <ietf-dane at dukhovni.org>
  Reference:	https://lists.freebsd.org/pipermail/freebsd-python/2018-September/015429.html

Changes:
  head/security/py-m2crypto/Makefile
  head/security/py-m2crypto/files/
  head/security/py-m2crypto/files/patch-SWIG-_m2crypto.i
  head/security/py-m2crypto/files/patch-setup.py
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-09-24 11:22:13 UTC
I've test it with the following cases:
- python27 + base openssl (1.0.2*)
- python36 + base openssl
- python36 + openssl-devel (1.1.0i)

python27 with openssl-devel was skipped due to unsolved build failure of _hashlib.so and _ssl.so.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-09-24 11:23:20 UTC
Committed. Thanks!